Bug 31144 - Installer hangs when in postintall stage
Summary: Installer hangs when in postintall stage
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-09 08:34 UTC by Alexei Nikiforov
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 14:11:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexei Nikiforov 2001-03-09 08:34:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; I; Linux 2.2.12-20 i586)


After installing packages installer hangs on exception 


Reproducible: Always
Steps to Reproduce:
1.install in text mode
2.install from NFS
3.submit parameters for ne2000 card
4.it seem's bug does not depent on other steps 
	

Actual Results:  crush on exception

here is anacdump.txt
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/usr/lib/anaconda/text.py", line 507, in __call__
    if todo.doInstall ():
  File "/usr/lib/anaconda/todo.py", line 1632, in doInstall
    self.writeConfiguration ()
  File "/usr/lib/anaconda/todo.py", line 1381, in writeConfiguration
    self.writeNetworkConfig ()
  File "/usr/lib/anaconda/todo.py", line 621, in writeNetworkConfig
    ip = self.network.lookupHostname()
  File "/usr/lib/anaconda/todo.py", line 172, in lookupHostname
    except socket.error:
AttributeError: error

Local variables in innermost frame:
f: <closed file '/etc/resolv.conf', mode 'w' at 8c4f448>
self: <todo.Network instance at 82dcde0>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'

<failed>


-----------------------------------------
it's seem to me, socket module in the CDs have not
attributes error nor socket

Comment 1 Alexei Nikiforov 2001-03-09 12:36:32 UTC
Simple workaround:
do not print any hostname ( clear suggested ) or print localhost.localdomain for
hostname
In this case there is not call socket.gethostbyname and following exeption

Comment 2 Michael Fulbright 2001-03-21 20:31:28 UTC
Any ideas erik?

Comment 3 Erik Troan 2001-03-22 16:10:48 UTC
I don't know why this is happening, but I made the except: catch everything.


Note You need to log in before you can comment on or make changes to this bug.